
Figure - Bug #117276
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】连接蓝牙鼠标后，系统的语言和输入法中显示实体键盘已连接
2023-03-31 10:40 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-31

Priority: Normal Due date: 2023-05-10

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303310316

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: G603鼠标上报了自己具备Keyboard属性，在其他设备与G603连接也有相同现象，不是Figure设备问题．��G603设备问题，Figure上不好修复．��建议 不修改，不再继续分析．

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、进入设置-蓝牙-与新设备配对

2、连接蓝牙鼠标，查看显示

3、进入设置-系统-语言和输入法

4、查看实体键盘部分显示

【预期结果】

2、显示已连接，连接的是鼠标

4、实体键盘部分显示未连接

【实际结果】

2、显示已连接，连接的是鼠标

4、实体键盘部分显示已连接，G603 Keyboard

【使用鼠标】

罗技G603

【复现率】

3/3

History

#1 - 2023-03-31 19:31 - CD FW-廖涛

- Due date set to 2023-04-03

#2 - 2023-04-03 10:20 - CD FW-廖涛

- Due date changed from 2023-04-03 to 2023-04-07

■ My analysis

根据最新的需求，实体键盘的相关设置需要裁剪，所以这个 BUG 无需处理。
#3 - 2023-04-04 15:14 - CD FW-廖涛

- Category changed from CD-FW to LC

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD LC 陶洪普

■ My analysis

经过分析，罗技 G603 蓝牙鼠标在连接上后，输入设备被识别为 Keyboard，麻烦 LC 的同学帮忙看下，需要鼠标的话可以找吴诗雨。

以下是输入设备相关信息：（B.O.W Keyboard 为键盘，Microsoft Sculpt Comfort Mouse Mouse 为鼠标，以上两个识别正常。G603 Keyboard 为鼠标，但被识

别为 Keyboard）

Input Device 7: G603 Keyboard

  Descriptor: 15b759f1cc45cb762520e696eeb05fd778716de1

  Generation: 47

  Location: external

  Keyboard Type: alphabetic

  Has Vibrator: false

  Has Sensor: false

  Has battery: false

  Has mic: false

  Sources: 0x101 ( keyboard )

Input Device 8: B.O.W Keyboard

  Descriptor: ba520d083d3a4365d7589b588b75198138c1c925

  Generation: 55

  Location: external

  Keyboard Type: alphabetic

  Has Vibrator: false

  Has Sensor: false

  Has battery: false

  Has mic: false

  Sources: 0x101 ( keyboard )

Input Device 10: Microsoft Sculpt Comfort Mouse Mouse

    Descriptor: cc6b2a06d73c388fc50aeaf7bacae38aeabb9a96

    Generation: 92

    Location: external

    Keyboard Type: none

    Has Vibrator: false

    Has Sensor: false

    Has battery: false

    Has mic: false

    Sources: 0x2002 ( mouse )

        AXIS_X: source=0x2002 min=0.0 max=2379.0 flat=0.0 fuzz=0.0 resolution=0.0

        AXIS_Y: source=0x2002 min=0.0 max=1019.0 flat=0.0 fuzz=0.0 resolution=0.0

        AXIS_PRESSURE: source=0x2002 min=0.0 max=1.0 flat=0.0 fuzz=0.0 resolution=0.0

        AXIS_VSCROLL: source=0x2002 min=-1.0 max=1.0 flat=0.0 fuzz=0.0 resolution=0.0

        AXIS_HSCROLL: source=0x2002 min=-1.0 max=1.0 flat=0.0 fuzz=0.0 resolution=0.0

#4 - 2023-04-26 22:19 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

2025-07-04 2/4



确认G603在其他设备上的表现中.

#5 - 2023-05-06 17:14 - CD LC 陶洪普

- Due date changed from 2023-04-07 to 2023-05-10

与测试确认

该问题发生在Ｇ６０３上，其他蓝牙鼠标未复现这个现象．

协调Ｇ６０３鼠标后，复测分析．

#6 - 2023-05-08 20:10 - CD LC 陶洪普

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD LC 陶洪普 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to WONTFIX

- Root cause set to G603鼠标上报了自己具备Keyboard属性，在其他设备与G603连接也有相同现象，不是Figure设备问题．

G603设备问题，Figure上不好修复．

建议 不修改，不再继续分析．

30: G603 Mouse

      Classes: CURSOR | EXTERNAL

      Path: /dev/input/event6

      Enabled: true

      Descriptor: 83b1fc4f1653a79360af98c29639408a0e51f1f3

      Location:

      ControllerNumber: 0

      UniqueId: cd:dd:e2:97:04:3e

      Identifier: bus=0x0005, vendor=0x046d, product=0xb01c, version=0x0111

      KeyLayoutFile:

      KeyCharacterMapFile:

      ConfigurationFile:

      VideoDevice: <none>

    29: G603 Keyboard

      Classes: KEYBOARD | ALPHAKEY | EXTERNAL

      Path: /dev/input/event5

      Enabled: true

      Descriptor: 83b1fc4f1653a79360af98c29639408a0e51f1f3

      Location:

      ControllerNumber: 0

      UniqueId: cd:dd:e2:97:04:3e

      Identifier: bus=0x0005, vendor=0x046d, product=0xb01c, version=0x0111

      KeyLayoutFile: /system/usr/keylayout/Generic.kl

      KeyCharacterMapFile: /system/usr/keychars/Generic.kcm

      ConfigurationFile:

      VideoDevice: <none>

G603会注册为两种类型Keyboard和Mouse. 请参照上面dumpsys input 中 device5 和 device6

05-07 11:15:57.097   962  1684 I EventHub: New device: id=6, fd=457, path='/dev/input/event5', name='G603 Keyboard', classes=KEYBOARD | ALPHAKEY |

EXTERNAL, configuration='', keyLayout='/system/usr/keylayout/Generic.kl', keyCharacterMap='/system/usr/keychars/Generic.kcm', builtinKeyboard=false, 

05-07 11:15:57.138   962  1684 I EventHub: New device: id=7, fd=453, path='/dev/input/event6', name='G603 Mouse', classes=CURSOR | EXTERNAL, configuration='',
keyLayout='', keyCharacterMap='', builtinKeyboard=false,

该鼠标在其他设备上也能复现这个现象．

从以上日志和dumpsys input看，是G603上报了Mouse和Keyboard两种classes类型．

不是Figure设备问题．

请确认，谢谢！

#7 - 2023-05-17 18:33 - 物联网测试组_CDTS  唐霞 

- Assignee changed from 物联网测试组_CDTS  唐霞  to CDTS_Test 吴诗雨

#8 - 2023-05-18 10:27 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-18 10:27 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

screen-20230331-043830.mp4 10.1 MB 2023-03-31 CDTS_Test 吴诗雨
